package com.goafanti.cognizance.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonFormat.Shape;

public class CognizanceContractBo {
	
	private String id;
	
	private String uid;
	
	private String contractId;
	
	private Integer year;
	
	private Integer serialNumber;
	
	private Integer state;
	
	private String certificateNumber;
	
	private String techPrincipal;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getUid() {
		return uid;
	}

	public void setUid(String uid) {
		this.uid = uid;
	}

	public String getContractId() {
		return contractId;
	}

	public void setContractId(String contractId) {
		this.contractId = contractId;
	}

	public Integer getYear() {
		return year;
	}

	public void setYear(Integer year) {
		this.year = year;
	}

	public Integer getSerialNumber() {
		return serialNumber;
	}

	public void setSerialNumber(Integer serialNumber) {
		this.serialNumber = serialNumber;
	}
	
	@JsonFormat(shape = Shape.STRING)
	public Integer getState() {
		return state;
	}

	public void setState(Integer state) {
		this.state = state;
	}

	public String getCertificateNumber() {
		return certificateNumber;
	}

	public void setCertificateNumber(String certificateNumber) {
		this.certificateNumber = certificateNumber;
	}

	public String getTechPrincipal() {
		return techPrincipal;
	}

	public void setTechPrincipal(String techPrincipal) {
		this.techPrincipal = techPrincipal;
	}
	
	
	

}
